/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.api.component.service;

import net.northking.cctp.scriptcase.dto.component.*;

import java.util.List;

/**
 * 业务组件表_发布Restful逻辑接口
 * @author maven-cctp-plugin
 * @since 1.0
 */
public interface ReBusComponentInfoApiService
{


  ReBusComponentInfoDetailDto genBusComponent(ReBusComponentInfoAddDto inputDto);

  List<RecordComTreeDto> getComTreeByType(RecordComTreeQueryDto query);

  RecordComTreeLikeDto getComTreeForLike(RecordComTreeQueryDto query);

  ReBusComponentInfoQueryDto getComListByIds(ReBusComponentInfoQueryDto query);
}
