/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import net.northking.cctp.testbug.db.entity.OverallViewIndex;

import java.io.Serializable;

/**
* Restful接口--资源详情--数据传输对象：跨项目级视图索引信息表
*
* createdate:  2021-12-15 11:38:51  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "跨项目级视图索引信息表")
public class OverallViewIndexDetailDto extends OverallViewIndex implements Serializable
{
  private String proNameList;

    public String getProNameList() {
        return proNameList;
    }

    public void setProNameList(String proNameList) {
        this.proNameList = proNameList;
    }
}