package net.northking.cctp.common.s3;

import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * 启用: S3云存储
 *
 * @author xiusong.xie
 * @since 1.0
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Documented
@Import({S3Configuration.class})
@Configuration
public @interface EnableS3
{
}
