/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.dw.db.entity.DwAtuScriptInfo;

/**
 * Mybatis数据库持久层（底层）：脚本信息同步表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-11-25 11:15:19  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface DwAtuScriptInfoMapper extends BasicDao<DwAtuScriptInfo>
{
  String EntityName = "DwAtuScriptInfo";

  String COLUMN_id = "id";
  String COLUMN_scriptType = "script_type";
  String COLUMN_scriptName = "script_name";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_projectId = "project_id";
  String COLUMN_isDeleted = "is_deleted";

}
