/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.dw.db.entity.MidManualExecJob;

/**
 * Mybatis数据库持久层（底层）：执行数据中间表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-01-21 10:29:37  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface MidManualExecJobMapper extends BasicDao<MidManualExecJob>
{
  String EntityName = "MidManualExecJob";

  String COLUMN_id = "id";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_projectId = "project_id";
  String COLUMN_createdTime = "created_time";
  String COLUMN_total = "total";
  String COLUMN_nonExec = "non_exec";
  String COLUMN_invalid = "invalid";
  String COLUMN_fail = "fail";
  String COLUMN_blocked = "blocked";
  String COLUMN_hangUp = "hang_up";
  String COLUMN_unfinished = "unfinished";
  String COLUMN_pass = "pass";

}
