DROP TABLE IF EXISTS `dw_test_point`;
CREATE TABLE `dw_test_point` (
	`id` VARCHAR(32) NOT NULL COMMENT 'id主键' ,
	`project_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '所属项目' ,
	`created_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '创建人' ,
	`created_time` DATETIME NULL DEFAULT NULL COMMENT '创建时间',
	`tenant_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '租户id' ,
	`point_status` INT(1) NULL DEFAULT NULL COMMENT '状态(0初始1已生成用例)',
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `INDEX_TENANT` (`tenant_id`, `project_id`) USING BTREE
)
COMMENT='dw库测试点列表'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
;
--CREATE TABLE `dw_test_point` (
--	`id` VARCHAR(32) NOT NULL COMMENT 'id主键' COLLATE 'utf8_general_ci',
--	`project_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '所属项目' COLLATE 'utf8_general_ci',
--	`created_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '创建人' COLLATE 'utf8_general_ci',
--	`created_time` DATETIME NULL DEFAULT NULL COMMENT '创建时间',
--	`tenant_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '租户id' COLLATE 'utf8_general_ci',
--	`point_status` INT(1) NULL DEFAULT NULL COMMENT '状态(0初始1已生成用例)',
--	PRIMARY KEY (`id`) USING BTREE,
--	INDEX `INDEX_TENANT` (`tenant_id`, `project_id`) USING BTREE
--)
--COMMENT='dw库测试点列表'
--COLLATE='utf8_general_ci'
--ENGINE=InnoDB
--;