DROP TABLE IF EXISTS `mid_case_design`;
CREATE TABLE `mid_case_design` (
	`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
	`tenant_id` VARCHAR(32) NOT NULL ,
	`project_id` VARCHAR(32) NOT NULL ,
	`created_time` DATE NOT NULL,
	`total` INT(11) NOT NULL DEFAULT '0' COMMENT '总数',
	`completed` INT(11) NOT NULL DEFAULT '0' COMMENT '已完成',
	`designing` INT(11) NOT NULL DEFAULT '0' COMMENT '设计中',
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `tenant_id` (`tenant_id`) USING BTREE,
	INDEX `project_id` (`project_id`) USING BTREE
)
COMMENT='按设计统计数据中间表'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
AUTO_INCREMENT=1
;
--CREATE TABLE `mid_case_design` (
--	`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
--	`tenant_id` VARCHAR(32) NOT NULL COLLATE 'utf8_general_ci',
--	`project_id` VARCHAR(32) NOT NULL COLLATE 'utf8_general_ci',
--	`created_time` DATE NOT NULL,
--	`total` INT(11) NOT NULL DEFAULT '0' COMMENT '总数',
--	`completed` INT(11) NOT NULL DEFAULT '0' COMMENT '已完成',
--	`designing` INT(11) NOT NULL DEFAULT '0' COMMENT '设计中',
--	PRIMARY KEY (`id`) USING BTREE,
--	INDEX `tenant_id` (`tenant_id`) USING BTREE,
--	INDEX `project_id` (`project_id`) USING BTREE
--)
--COMMENT='按设计统计数据中间表'
--COLLATE='utf8_general_ci'
--ENGINE=InnoDB
--AUTO_INCREMENT=157698
--;