
truncate saas_software_func;

/*==============================================================*/
/* software_01 公共服务                                          */
/*==============================================================*/
insert into saas_software_func(id, software_id, func_name, func_type,parent_id,idx,level_no,is_leaf,path) values
('func04','software_01','公共服务','D','TOP',4,1,0,'/func04'),
('func04-01','software_01','基本信息管理','D','func04',1,2,0,'/func04/func04-01'),
('func04-01-01','software_01','用户基本信息管理','P','func04-01',1,3,0,'/func04/func04-01/func04-01-01'),
('func04-01-01-V','software_01','查看','F','func04-01-01',1,4,1,'/func04/func04-01/func04-01-01/func04-01-01-V'),
('func04-01-01-A','software_01','添加','F','func04-01-01',11,4,1,'/func04/func04-01/func04-01-01/func04-01-01-A'),
('func04-01-01-U','software_01','修改','F','func04-01-01',12,4,1,'/func04/func04-01/func04-01-01/func04-01-01-U'),
('func04-01-01-D','software_01','删除','F','func04-01-01',13,4,1,'/func04/func04-01/func04-01-01/func04-01-01-D'),
('func04-01-01-I','software_01','导入','F','func04-01-01',90,4,1,'/func04/func04-01/func04-01-01/func04-01-01-I'),
('func04-01-01-E','software_01','导出','F','func04-01-01',91,4,1,'/func04/func04-01/func04-01-01/func04-01-01-E'),
('func04-01-02','software_01','机构基本信息管理','P','func04-01',2,3,0,'/func04/func04-01/func04-01-02'),
('func04-01-02-V','software_01','查看','F','func04-01-02',1,4,1,'/func04/func04-01/func04-01-02/func04-01-02-V'),
('func04-01-02-A','software_01','添加','F','func04-01-02',11,4,1,'/func04/func04-01/func04-01-02/func04-01-02-A'),
('func04-01-02-U','software_01','修改','F','func04-01-02',12,4,1,'/func04/func04-01/func04-01-02/func04-01-02-U'),
('func04-01-02-D','software_01','删除','F','func04-01-02',13,4,1,'/func04/func04-01/func04-01-02/func04-01-02-D'),
('func04-01-03','software_01','角色基本信息管理','P','func04-01',3,3,0,'/func04/func04-01/func04-01-03'),
('func04-01-03-V','software_01','查看','F','func04-01-03',1,4,1,'/func04/func04-01/func04-01-03/func04-01-03-V'),
('func04-01-03-A','software_01','添加','F','func04-01-03',11,4,1,'/func04/func04-01/func04-01-03/func04-01-03-A'),
('func04-01-03-U','software_01','修改','F','func04-01-03',12,4,1,'/func04/func04-01/func04-01-03/func04-01-03-U'),
('func04-01-03-D','software_01','删除','F','func04-01-03',13,4,1,'/func04/func04-01/func04-01-03/func04-01-03-D'),
('func04-99','software_01','公共配置','D','func04',99,2,0,'/func04/func04-99'),
('func04-99-01','software_01','数据字典','P','func04-99',1,3,0,'/func04/func04-99/func04-99-01'),
('func04-99-02','software_01','标签管理','P','func04-99',2,3,0,'/func04/func04-99/func04-99-02'),
('func04-99-03','software_01','菜单管理','P','func04-99',3,3,0,'/func04/func04-99/func04-99-03'),
('func04-99-03-V','software_01','查看','F','func04-99-03',1,4,0,'/func04/func04-99/func04-99-03-V'),
('func04-99-03-A','software_01','添加','F','func04-99-03',2,4,0,'/func04/func04-99/func04-99-03-A'),
('func04-99-03-U','software_01','修改','F','func04-99-03',3,4,0,'/func04/func04-99/func04-99-03-U'),
('func04-99-03-D','software_01','删除','F','func04-99-03',4,4,0,'/func04/func04-99/func04-99-03-D');
commit ;


/*==============================================================*/
/* software_02 项目管理                                          */
/*==============================================================*/
insert into saas_software_func(id, software_id, func_name, func_type,parent_id,idx,level_no,is_leaf,path) values
('func01','software_02','项目管理','D','TOP',1,1,0,'/func01'),
('func01-99','software_02','返回首页','P','func01',99,2,0,'/func01/func01-99');
commit ;


/*==============================================================*/
/* software_20 数据服务中心                                       */
/*==============================================================*/
insert into saas_software_func(id, software_id, func_name, func_type,parent_id,idx,level_no,is_leaf,path) values
('func02','software_20','数据服务中心','D','TOP',2,1,0,'/func02'),
('func02-01','software_20','元数据管理','P','func02',1,2,0,'/func02/func02-01'),
('func02-02','software_20','测试数据管理','D','func02',2,2,0,'/func02/func02-02'),
('func02-02-01','software_20','测试数据集','P','func02-02',1,3,0,'/func02/func02-02/func02-02-01'),
('func02-02-02','software_20','静态数据','P','func02-02',2,3,0,'/func02/func02-02/func02-02-02'),
('func02-02-03','software_20','模糊数据','P','func02-02',3,3,0,'/func02/func02-02/func02-02-03'),
('func02-03','software_20','数据查询','P','func02',3,2,0,'/func02/func02-03');
commit ;

/*==============================================================*/
/* software_40 资产库                                            */
/*==============================================================*/
insert into saas_software_func(id, software_id, func_name, func_type,parent_id,idx,level_no,is_leaf,path) values
('func03','software_40','资产库','D','TOP',3,1,0,'/func03'),
('func03-01','software_40','用例库','P','func03',1,2,0,'/func03/func03-01'),
('func03-02','software_40','缺陷库','P','func03',2,2,0,'/func03/func03-02');
commit ;


