/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.executePlan.db.entity.AtuPlanBatchDeviceLink;

/**
 * Mybatis数据库持久层（底层）：计划批次设备关联表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-12-23 15:34:17  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuPlanBatchDeviceLinkMapper extends BasicDao<AtuPlanBatchDeviceLink>
{
  String EntityName = "AtuPlanBatchDeviceLink";

  String COLUMN_id = "id";
  String COLUMN_batchId = "batch_id";
  String COLUMN_deviceId = "device_id";
  String COLUMN_deviceType = "device_type";
  String COLUMN_offline = "is_offline";
  String COLUMN_offlineTime = "offline_time";

}
