/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.impl;

import net.northking.cctp.scriptcase.db.dao.MdComponentParamDao;
import net.northking.cctp.scriptcase.db.service.MdComponentParamService;
import net.northking.cctp.scriptcase.db.entity.MdComponentParam;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.saas.db.TenantEntityService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;


/**
 * 业务组件参数信息_编辑
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-21 17:09:46  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "MdComponentParamServiceImpl")
public class MdComponentParamServiceImpl extends TenantEntityService<MdComponentParam> implements MdComponentParamService
{
private static final Logger logger = LoggerFactory.getLogger(MdComponentParamServiceImpl.class);

  private final MdComponentParamDao mdComponentParamDao;

  public MdComponentParamServiceImpl(MdComponentParamDao mdComponentParamDao) {this.mdComponentParamDao = mdComponentParamDao;}

  public BasicDao<MdComponentParam> getDao() {return mdComponentParamDao;}

  public MdComponentParam createEntity() { return new MdComponentParam();}







}

