/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.service;

import com.alibaba.fastjson.JSONObject;
import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.scriptcase.db.entity.AtuScriptInputSet;

/**
 * 脚本输入项数据集关联草稿表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-08-29 10:41:44  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuScriptInputSetService extends BasicService<AtuScriptInputSet>
{
    /**
     * 生成默认输入项数据
     * @param scriptJson 脚本json
     * @return 默认输入项数据
     */
    JSONObject createDefaultInputSet(String scriptJson);




}
