/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.inputSet;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import net.northking.cctp.scriptcase.db.entity.AtuInputSet;

import java.io.Serializable;

/**
* Restful接口--资源详情--数据传输对象：输入项数据集
*
* createdate:  2023-08-29 19:15:27  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "输入项数据集")
public class AtuInputSetDetailDto extends AtuInputSet implements Serializable
{
  // TODO 请完成资源详情展示的属性
}