package net.northking.cctp.device.util.prometheus;


import lombok.Data;

import java.util.Collections;
import java.util.List;
import java.util.Map;

@Data
public class PrometheusQuery {
    private String status;
    private String message;
    private QueryData data;
    private String dataJson;

    @Data
    public static class QueryData{
        private String resultType;
        private List<DataResult> result = Collections.EMPTY_LIST;
    }

    @Data
    public static class DataResult{
        private Map<String,String> metric;
        private List<List<Object>> values;
        private List<Object> value;
    }

}

