/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.testbug.db.entity.BugOverallTendencyChart;

import java.io.Serializable;

/**
* Restful接口--资源详情--数据传输对象：跨项目缺陷趋势图
*
* createdate:  2021-11-15 09:03:47  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "跨项目缺陷趋势图")
public class BugOverallTendencyChartDetailDto extends BugOverallTendencyChart implements Serializable
{
    @ApiModelProperty("总数")
    private Integer allAmount;

    public Integer getAllAmount() {
        return allAmount;
    }

    public void setAllAmount(Integer allAmount) {
        this.allAmount = allAmount;
    }
}