DROP TABLE IF EXISTS `bug_log`;
CREATE TABLE `bug_log` (
	`bug_log_id` VARCHAR(50) NOT NULL COMMENT '主键' ,
	`bug_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '缺陷id',
	`message` TEXT(65535) NULL DEFAULT NULL COMMENT '注释' ,
	`created_by` VARCHAR(50) NULL DEFAULT NULL COMMENT '创建人' ,
	`created_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`updated_by` VARCHAR(50) NULL DEFAULT NULL COMMENT '更新人' ,
	`updated_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
	`tenant_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '租户id' ,
	PRIMARY KEY (`bug_log_id`) USING BTREE,
	INDEX `bug_id` (`bug_id`) USING BTREE
)
COMMENT='缺陷注释表'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
;
--CREATE TABLE `bug_log` (
--	`bug_log_id` VARCHAR(50) NOT NULL COMMENT '主键' COLLATE 'utf8_general_ci',
--	`bug_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '缺陷id' COLLATE 'utf8_general_ci',
--	`message` TEXT(65535) NULL DEFAULT NULL COMMENT '注释' COLLATE 'utf8_general_ci',
--	`created_by` VARCHAR(50) NULL DEFAULT NULL COMMENT '创建人' COLLATE 'utf8_general_ci',
--	`created_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
--	`updated_by` VARCHAR(50) NULL DEFAULT NULL COMMENT '更新人' COLLATE 'utf8_general_ci',
--	`updated_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
--	`tenant_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '租户id' COLLATE 'utf8_general_ci',
--	PRIMARY KEY (`bug_log_id`) USING BTREE,
--	INDEX `bug_id` (`bug_id`) USING BTREE
--)
--COMMENT='缺陷注释表'
--COLLATE='utf8_bin'
--ENGINE=InnoDB
--;