package net.northking.cctp.platform.constants;

/**
 * 平台常量类
 */
public class PlatformConstants {

    /**
     * 缺陷状态字典code
     */
    public final static String Dict_Code_Bug_Status = "bugStatus";

    /**
     * 开发人员
     */
    public final static String DEVELOPER_ROLE_CODE = "DEVELOPER";

    /**
     * 测试人员
     */
    public final static String FUNC_TESTER_ROLE_CODE = "FUNC_TESTER";

    /**
     * 测试项目经理
     */
    public final static String PROJECT_MANAGER_ROLE_CODE = "PROJECT_MANAGER";

    public final static String Login_Time_Key = "UITEST-login:time:";

    public final static String ROLE_LEVEL_PLATFORM = "1";

    public final static String ROLE_LEVEL_PROJECT = "2";

    public final static String AUTO_TEST_NAME = "统一自动化";

    public final static String ORDER_BY_ASC = "ASC";

    public final static String ORDER_BY_CREATED_TIME = "created_time";

    public final static String DELETE_LIBRARY = "卸载组件库【{";

    public final static String DELETE_LIBRARY_END = "}】";

    public final static String LIBRARY_MODULE = "基础组件库";

    public final static String LOG_STATUS_DEL = "3";

    public final static String SYSTEM_PROPERTY = "user.dir";

    public final static String SYSTEM_TMP = "/tmp/";

    public final static Integer VERSION_NUM_ONE = 1;

    public final static Integer VERSION_NUM_TWO = 2;

    public final static String KEYWORD_INFO_ATTRIBUTES = "-1";

    public final static String KEYWORD_INFO_COMATTRIBUTES = "0";

    public final static String PARAM_FLAG = "OUTPUT";

    public final static String VERSION_REGEX = "\\.";

    public final static String CONTENT_TYPE = "Content-Type";

    public final static String APPLICATION_CHARSET = "application/octet-stream;charset=UTF-8";

    public final static String CONTENT_DISPOSITION = "Content-Disposition";

    public final static String ATTACHMENT_FILENAME = "attachment;filename=";
    
    public final static String COM_NAME = "com_name";

    public final static String IS_SYSTEM_DEFAULT = "is_system_default";

    public final static String CREATED_TIME = "created_time";
    
    public final static String COM_CATEGORY = "0";

    public final static String TREE_NODE_TOP = "TOP";

    public final static String DELETE_DICT = "删除数据字典：";

    public final static String DICT_MODULE = "数据字典名称";

    public final static String DICT_LOCAL = "zh_CN";

    public final static String MAP_KEY_CODE = "code";

    public final static String MAP_KEY_SHOW = "show";

    public final static String DEL_PATTERN = "UITEST-dict*";

    public final static String DICT_REDIS_HEAD = "UITEST-dict::";

    public final static String DICT_REDIS_ALL = "UITEST-dict::*";

    public final static String BUG_STATUS = "bugStatus";

    public final static String UPDATE_DICT_ITEM = "UPDATE_DICT_ITEM";

    public final static String RULE_NO_PS = "PS0009";

    public final static String DEL_ENV = "删除环境：";

    public final static String ENV_MODULE = "环境名称";

    public final static String ENV_PRO_ID = "UITEST-EnvProjectId:";

    public final static String DEFAULT_FLAG = "default_flag";

    public final static String ORDER_BY_IDX_ASC = "idx asc";

    public final static String INIT_ROLE = "role";

    public final static String INIT_DICT = "dict";

    public final static String INIT_PM = "pm";

    public final static String INIT_CASE_PROP = "case-prop";

    public final static String INIT_BUG_PROP = "bug-prop";

    public final static String INIT_PROJECT_REGX = "project-regx";

    public final static String INIT_BUG_PROCESS = "bug-process";

    public final static String INIT_IM_PROCESS = "im-process";

    public final static String IM_STR_MENU = "项目成员管理,测试需求分析,测试用例管理,测试执行,缺陷管理,测试报告与图表";

    public final static String MANUAL_TEST = "人工测试管理平台";

    public final static String USER_INSERT_LOCK = "cctp-platform:user-loginNo:";

    public final static String LOGIN_NO_REGEX = "^[a-zA-Z0-9][a-zA-Z0-9_@.]+$";

    public final static String USER_COMMON_CODE = "COMMON_USER";

    public final static String USER_TEL_NAME = "手机号码";

    public final static String USER_EMAIL_NAME = "电子邮件";

    public final static String ID_NO_REGEX = "^\\d{15}$|^\\d{17}(\\d|X|x)$";

    public final static String DEL_USER = "删除用户：";

    public final static String USER_MODULE = "用户名称";

    public final static String USER_GENDER = "gender";

    public final static String USER_GENDER_BOY = "男";

    public final static String USER_GENDER_GIRL = "女";

    public final static String USER_GENDER_BOY_TYPE = "1";

    public final static String USER_GENDER_GIRL_TYPE = "2";

    public final static String LOGIN_NO_ERR = "登录名【";

    public final static String LOGIN_NO_ERR_END = "】已存在";

    public final static String USER_LOGIN_NO = "loginNo";

    public final static String USER_CHN_NAME = "userChnName";

    public final static String USER_PHONE = "cellPhone";

    public final static String USER_EMAIL = "email";

    public final static String USER_INPUT_FILE_NAME = "用户信息模板.xlsx";

    public final static String USER_INPUT_FILE_NAME_ENCODE = "UTF-8";

    public final static String CCTP_USER_ID = "UITEST-CCTP:USER_ID:";

    public final static String PERSONALIZE_KEY = "UITEST-Personalize::";

    public final static String PERSONALIZE_WORKSPACE = "workspace";

    public final static String RETURN_FALSE = "false";

    public final static String RETURN_SUCCESS = "success";

    public final static String ROLE_CODE_REGEX = "%04d";

    public final static String ROLE_CHN_NAME = "角色名称";

    public final static String ROLE_CODE_CHN_NAME = "角色代码";

    public final static String DEL_ROLE = "删除角色：";

    public final static String ROLE_MODULE = "角色名称";

    public final static String TEMP_MENU_STRING = "UITEST-TEMP:MENU:STRING";

    public final static String MENU_STRING = "项目详情,团队成员,团队分组,分析与设计,进度汇总图表,测试汇总图表,总体测试报告,测试日报,测试周报,项目属性配置,缺陷属性配置,用例属性配置";

    public final static String NK_TENANT = "NK";

    public final static String RULE_LOCK_KEY = "cctp-platform:ruleCollection:";

    public final static String DEL_RULE_LIST = "删除规则集合：";

    public final static String RULE_LIST_MODULE = "项目级规则名称";

    public final static String SYSTEM_CREATED = "系统创建";

    public final static String RULE_CODE_NUM = "MT00";

    public final static String MGR_TEMPLATE_LOCK_KEY = "cctp-platform-manageTemplates";

    public final static String DEL_MGR_TEMP = "删除项目管理模板：";

    public final static String MGR_TEMP_MODULE = "项目管理模板名称";

    public final static String TEMPLATE_LOCK_KEY = "cctp-platform-template:";

    public final static String DEL_BUG_TEMP = "删除缺陷属性模板：";

    public final static String BUG_TEMP_MODULE = "缺陷属性模板名称";

    public final static String DEL_CASE_TEMP = "删除用例属性模板";

    public final static String CASE_TEMP_MODULE = "用例属性模板名称";

    public final static String USER_DEFINED_IDX = "USER_DEFINED_IDX";

    public final static String CLEAR_ERR_NUM_LOCK = "scheduler:PlatformSchedule.clearErrNum";

    public final static String REGEX_NO_SPECIAL = "(?=.*[A-Z])(?=.*[a-z])(?=.*[0-9])^.*$";//大写+小写+数字

    public final static String REGEX_NO_MINUSCULES = "(?=.*[A-Z])(?=.*[0-9])(?=.*[\\W_])^.*$";//大写+数字+特殊字符

    public final static String REGEX_NO_NUM = "(?=.*[A-Z])(?=.*[a-z])(?=.*[\\W_])^.*$";//大写+小写+特殊字符

    public final static String REGEX_NO_CAPITAL = "(?=.*[a-z])(?=.*[0-9])(?=.*[\\W_])^.*$";//小写+数字+特殊字符

    public final static String REQUEST_TIME = "Request-Time";

    public final static String DATA_FORMAT = "ssyyyymmMMHHdd";

    public final static String CIPHER_INSTANCE = "AES/CBC/PKCS7Padding";

    public final static String LOGIN_NO_PASSWORD = "Northking123";

    public final static Integer INT_MINUS_ONE = -1;

    public final static Integer INT_ZERO = 0;

    public final static Integer INT_ONE = 1;

    public final static Integer INT_TWO = 2;

    public final static Integer INT_THREE = 3;

    public final static String STR_ZERO = "0";

    public final static String STR_ONE = "1";

    public final static String STR_TWO = "2";

    public final static String STR_OR_ONE = "|1";

    public final static String STR_OR_ONE_OR = "|1|";

    public final static String STR_ZERO_OR = "0|";

}
